TypeScript
import { MtnManagerApi, Configuration } from "@mtnmanager/sdk";
const api = new MtnManagerApi(
new Configuration({
basePath: "https://your-resort.mtnmanager.com",
})
);
try {
const data = await api.getWebcamHistory();
console.log(data);
} catch (error) {
console.error(error);
}package main
import (
"context"
"fmt"
mtnmanager "github.com/mtnmanager/mtnmanager-sdk-go"
)
func main() {
configuration := mtnmanager.NewConfiguration()
configuration.Servers = mtnmanager.ServerConfigurations{
{URL: "https://your-resort.mtnmanager.com"},
}
client := mtnmanager.NewAPIClient(configuration)
data, _, err := client.MtnManagerAPI.GetWebcamHistory(context.Background()).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", data)
}<?php
require_once(__DIR__ . '/vendor/autoload.php');
$config = MtnManager\Configuration::getDefaultConfiguration()
->setHost('https://your-resort.mtnmanager.com');
$apiInstance = new MtnManager\Api\MtnManagerApi(
new GuzzleHttp\Client(),
$config
);
try {
$result = $apiInstance->getWebcamHistory();
print_r($result);
} catch (Exception $e) {
echo 'Exception: ', $e->getMessage(), PHP_EOL;
}import MtnManagerSDK
let config = MtnManagerSDKAPIConfiguration(
basePath: "https://your-resort.mtnmanager.com"
)
do {
let data = try await MtnManagerAPI.getWebcamHistory(apiConfiguration: config)
print(data)
} catch {
print("Error: \(error)")
}curl --request GET \
--url https://{subdomain}.mtnmanager.com/api/v1/report/webcam/{uuid}/historyimport requests
url = "https://{subdomain}.mtnmanager.com/api/v1/report/webcam/{uuid}/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{subdomain}.mtnmanager.com/api/v1/report/webcam/{uuid}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://{subdomain}.mtnmanager.com/api/v1/report/webcam/{uuid}/history")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.mtnmanager.com/api/v1/report/webcam/{uuid}/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"webcam_uuid": "11111111-1111-1111-1111-111111111111",
"frames": [
{
"captured_at": "2026-01-15T16:00:00+00:00",
"image_url": "https://powder-mountain.mtnmanager.net/webcam/cam/archive/2026-01-15T16:00:00Z.webp",
"thumb_url": "https://powder-mountain.mtnmanager.net/webcam/cam/archive/2026-01-15T16:00:00Z-thumb_NAgCBIDnF9d4iHh_cYgAAAAAAA.webp",
"thumbhash": "NAgCBIDnF9d4iHh/cYgAAAAAAA=="
},
{
"captured_at": "2026-01-15T15:00:00+00:00",
"image_url": "https://powder-mountain.mtnmanager.net/webcam/cam/archive/2026-01-15T15:00:00Z.webp",
"thumb_url": "https://powder-mountain.mtnmanager.net/webcam/cam/archive/2026-01-15T15:00:00Z-thumb_NAgCBIDnF9d4iHh_cYgAAAAAAA.webp",
"thumbhash": "NAgCBIDnF9d4iHh/cYgAAAAAAA=="
},
{
"captured_at": "2026-01-15T14:00:00+00:00",
"image_url": "https://powder-mountain.mtnmanager.net/webcam/cam/archive/2026-01-15T14:00:00Z.webp",
"thumb_url": "https://powder-mountain.mtnmanager.net/webcam/cam/archive/2026-01-15T14:00:00Z-thumb_NAgCBIDnF9d4iHh_cYgAAAAAAA.webp",
"thumbhash": "NAgCBIDnF9d4iHh/cYgAAAAAAA=="
}
]
}API Endpoints
Get Webcam History
GET
/
api
/
v1
/
report
/
webcam
/
{uuid}
/
history
TypeScript
import { MtnManagerApi, Configuration } from "@mtnmanager/sdk";
const api = new MtnManagerApi(
new Configuration({
basePath: "https://your-resort.mtnmanager.com",
})
);
try {
const data = await api.getWebcamHistory();
console.log(data);
} catch (error) {
console.error(error);
}package main
import (
"context"
"fmt"
mtnmanager "github.com/mtnmanager/mtnmanager-sdk-go"
)
func main() {
configuration := mtnmanager.NewConfiguration()
configuration.Servers = mtnmanager.ServerConfigurations{
{URL: "https://your-resort.mtnmanager.com"},
}
client := mtnmanager.NewAPIClient(configuration)
data, _, err := client.MtnManagerAPI.GetWebcamHistory(context.Background()).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", data)
}<?php
require_once(__DIR__ . '/vendor/autoload.php');
$config = MtnManager\Configuration::getDefaultConfiguration()
->setHost('https://your-resort.mtnmanager.com');
$apiInstance = new MtnManager\Api\MtnManagerApi(
new GuzzleHttp\Client(),
$config
);
try {
$result = $apiInstance->getWebcamHistory();
print_r($result);
} catch (Exception $e) {
echo 'Exception: ', $e->getMessage(), PHP_EOL;
}import MtnManagerSDK
let config = MtnManagerSDKAPIConfiguration(
basePath: "https://your-resort.mtnmanager.com"
)
do {
let data = try await MtnManagerAPI.getWebcamHistory(apiConfiguration: config)
print(data)
} catch {
print("Error: \(error)")
}curl --request GET \
--url https://{subdomain}.mtnmanager.com/api/v1/report/webcam/{uuid}/historyimport requests
url = "https://{subdomain}.mtnmanager.com/api/v1/report/webcam/{uuid}/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{subdomain}.mtnmanager.com/api/v1/report/webcam/{uuid}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://{subdomain}.mtnmanager.com/api/v1/report/webcam/{uuid}/history")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.mtnmanager.com/api/v1/report/webcam/{uuid}/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"webcam_uuid": "11111111-1111-1111-1111-111111111111",
"frames": [
{
"captured_at": "2026-01-15T16:00:00+00:00",
"image_url": "https://powder-mountain.mtnmanager.net/webcam/cam/archive/2026-01-15T16:00:00Z.webp",
"thumb_url": "https://powder-mountain.mtnmanager.net/webcam/cam/archive/2026-01-15T16:00:00Z-thumb_NAgCBIDnF9d4iHh_cYgAAAAAAA.webp",
"thumbhash": "NAgCBIDnF9d4iHh/cYgAAAAAAA=="
},
{
"captured_at": "2026-01-15T15:00:00+00:00",
"image_url": "https://powder-mountain.mtnmanager.net/webcam/cam/archive/2026-01-15T15:00:00Z.webp",
"thumb_url": "https://powder-mountain.mtnmanager.net/webcam/cam/archive/2026-01-15T15:00:00Z-thumb_NAgCBIDnF9d4iHh_cYgAAAAAAA.webp",
"thumbhash": "NAgCBIDnF9d4iHh/cYgAAAAAAA=="
},
{
"captured_at": "2026-01-15T14:00:00+00:00",
"image_url": "https://powder-mountain.mtnmanager.net/webcam/cam/archive/2026-01-15T14:00:00Z.webp",
"thumb_url": "https://powder-mountain.mtnmanager.net/webcam/cam/archive/2026-01-15T14:00:00Z-thumb_NAgCBIDnF9d4iHh_cYgAAAAAAA.webp",
"thumbhash": "NAgCBIDnF9d4iHh/cYgAAAAAAA=="
}
]
}Headers
Preferred language and optional region for human-readable strings in the response (e.g. operating hours summaries). Supports en, fr, de, it, and es, with optional region tags such as fr-CA or de-CH. Defaults to English when omitted or unsupported.
Path Parameters
Resource UUID
Query Parameters
Inclusive lower bound on captured_at (RFC 3339).
Inclusive upper bound on captured_at (RFC 3339).